Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.seqno
Interface HL7SeqNumberInfoInterface

All Known Implementing Classes:
  HL7SeqNumberInfo

    public interface HL7SeqNumberInfoInterface

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:28:22 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`boolean` | `getSequenceNumberEnabled()` Returns the sequenceNumberEnabled.
`java.lang.String` | `getSequenceNumberFileLocation()` Returns the sequenceNumberFileLocation.
`boolean` | `isSequenceNumberEnabled()` Returns the sequenceNumberEnabled.
`void` | `setSequenceNumberEnabled(boolean sequenceNumberEnabled)` Sets the sequenceNumberEnabled.
`void` | `setSequenceNumberFileLocation(java.lang.String sequenceNumberFileLocation)` Sets the sequenceNumberFileLocation.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getSequenceNumberEnabled

    boolean getSequenceNumberEnabled()

  Returns the sequenceNumberEnabled.

  Returns:
    boolean

### isSequenceNumberEnabled

    boolean isSequenceNumberEnabled()

  Returns the sequenceNumberEnabled.

  Returns:
    boolean

### getSequenceNumberFileLocation

    java.lang.String getSequenceNumberFileLocation()

  Returns the sequenceNumberFileLocation.

  Returns:
    String

### setSequenceNumberEnabled

    void setSequenceNumberEnabled(boolean sequenceNumberEnabled)
                                  throws HL7ApplicationException

  Sets the sequenceNumberEnabled.

  Parameters:
    `sequenceNumberEnabled` - The sequenceNumberEnabled to set
  Throws:
    `HL7ApplicationException`

### setSequenceNumberFileLocation

    void setSequenceNumberFileLocation(java.lang.String sequenceNumberFileLocation)
                                       throws HL7ApplicationException

  Sets the sequenceNumberFileLocation.

  Parameters:
    `sequenceNumberFileLocation` - The sequenceNumberFileLocation to set
  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD